com.beanit.asn1bean.ber.types

## Interface BerType

- All Known Implementing Classes:
    BerAny, BerBitString, BerBMPString, BerBoolean, BerDate, BerDateTime, BerDuration, BerEmbeddedPdv, BerEmbeddedPdv.Identification, BerEmbeddedPdv.Identification.ContextNegotiation, BerEmbeddedPdv.Identification.Syntaxes, BerEnum, BerGeneralizedTime, BerGeneralString, BerGraphicString, BerIA5String, BerInteger, BerNull, BerNumericString, BerObjectDescriptor, BerObjectIdentifier, BerOctetString, BerPrintableString, BerReal, BerTeletexString, BerTime, BerTimeOfDay, BerUniversalString, BerUtcTime, BerUTF8String, BerVideotexString, BerVisibleString

      public interface BerType

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `decode(java.io.InputStream is)`
    `int` | `encode(java.io.OutputStream reverseOS)`

- - ### Method Detail

    - #### encode

          int encode(java.io.OutputStream reverseOS)
              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### decode

          int decode(java.io.InputStream is)
              throws java.io.IOException

      Throws:
        `java.io.IOException`